=== Exceptions

Blocks in an `if` chain that contain a single line of code are ignored, as are blocks in a `case` statement that contain a single line of code.

[source,ruby]
----
if a == 
  doSomething()  # no issue, usually this is done on purpose to increase the readability
elsif a == 2
  doSomethingElse()
else
  doSomething()
end
----

But this exception does not apply to `if` chains without `else`-s, or to `case`-es without `else` clauses when all branches have the same single line of code. In the case of `if` chains with `else`-s, or of `case`-es with `else` clauses, rule S3923 raises a bug. 

[source,ruby]
----
if a == 1
  doSomething()  # Noncompliant, this might have been done on purpose but probably not
elsif a == 2
  doSomething()
end
----